Module java.management
Package javax.management

## Interface ValueExp

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `AttributeValueExp`, `StringValueExp`

    public interface ValueExp
    extends Serializable

Represents values that can be passed as arguments to relational expressions. Strings, numbers, attributes are valid values and should be represented by implementations of `ValueExp`.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ValueExp` `apply​(ObjectName name)` Applies the ValueExp on a MBean.
`void` `setMBeanServer​(MBeanServer s)` Deprecated. This method is not needed because a `ValueExp` can access the MBean server in which it is being evaluated by using `QueryEval.getMBeanServer()`.

### Method Detail

#### apply

    ValueExp apply​(ObjectName name)
            throws BadStringOperationException,
                   BadBinaryOpValueExpException,
                   BadAttributeValueExpException,
                   InvalidApplicationException

Applies the ValueExp on a MBean.

Parameters:
  `name` - The name of the MBean on which the ValueExp will be applied.
Returns:
  The `ValueExp`.
Throws:
  `BadStringOperationException` - when an invalid string operation is passed to a method for constructing a query
  `BadBinaryOpValueExpException` - when an invalid expression is passed to a method for constructing a query
  `BadAttributeValueExpException` - when an invalid MBean attribute is passed to a query constructing method
  `InvalidApplicationException` - when an invalid apply is attempted

#### setMBeanServer

    @Deprecated
    void setMBeanServer​(MBeanServer s)

Deprecated.
This method is not needed because a `ValueExp` can access the MBean server in which it is being evaluated by using `QueryEval.getMBeanServer()`.
Sets the MBean server on which the query is to be performed.

Parameters:
  `s` - The MBean server on which the query is to be performed.